Assignments Assignments

Public Attributes | List of all members
jpeg_component_info Struct Reference

`#include <jpeglib.h>`

## Public Attributes
int | component_id
int | component_index
int | h_samp_factor
int | v_samp_factor
int | quant_tbl_no
int | dc_tbl_no
int | ac_tbl_no
JDIMENSION | width_in_blocks
JDIMENSION | height_in_blocks
int | DCT_scaled_size
JDIMENSION | downsampled_width
JDIMENSION | downsampled_height
boolean | component_needed
int | MCU_width
int | MCU_height
int | MCU_blocks
int | MCU_sample_width
int | last_col_width
int | last_row_height
JQUANT_TBL * | quant_table
void * | dct_table

## Member Data Documentation

## ◆ ac_tbl_no

int jpeg_component_info::ac_tbl_no

## ◆ component_id

int jpeg_component_info::component_id

## ◆ component_index

int jpeg_component_info::component_index

## ◆ component_needed

boolean jpeg_component_info::component_needed

## ◆ dc_tbl_no

int jpeg_component_info::dc_tbl_no

## ◆ DCT_scaled_size

int jpeg_component_info::DCT_scaled_size

## ◆ dct_table

void* jpeg_component_info::dct_table

## ◆ downsampled_height

JDIMENSION jpeg_component_info::downsampled_height

## ◆ downsampled_width

JDIMENSION jpeg_component_info::downsampled_width

## ◆ h_samp_factor

int jpeg_component_info::h_samp_factor

## ◆ height_in_blocks

JDIMENSION jpeg_component_info::height_in_blocks

## ◆ last_col_width

int jpeg_component_info::last_col_width

## ◆ last_row_height

int jpeg_component_info::last_row_height

## ◆ MCU_blocks

int jpeg_component_info::MCU_blocks

## ◆ MCU_height

int jpeg_component_info::MCU_height

## ◆ MCU_sample_width

int jpeg_component_info::MCU_sample_width

## ◆ MCU_width

int jpeg_component_info::MCU_width

## ◆ quant_table

JQUANT_TBL* jpeg_component_info::quant_table

## ◆ quant_tbl_no

int jpeg_component_info::quant_tbl_no

## ◆ v_samp_factor

int jpeg_component_info::v_samp_factor

## ◆ width_in_blocks

JDIMENSION jpeg_component_info::width_in_blocks

The documentation for this struct was generated from the following file:

- Assignments/JPEG/jpeglib.h